maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
maph::FastMaph Class Reference

`#include <maph_fast.hpp>`

Collaboration diagram for maph::FastMaph:

## Public Member Functions
std::string | get (const std::string &key) const
bool | set (const std::string &key, const std::string &value)
bool | dynamic_set (const std::string &key, const std::string &value)
void | batch_set (const std::vector< std::pair< std::string, std::string > > &kvs)
template<typename Callback >
void | scan (Callback &&cb) const
| ~FastMaph ()

## Static Public Member Functions
static std::unique_ptr< FastMaph > | create (const std::string &path, size_t num_slots)

## Detailed Description

Definition at line 85 of file maph_fast.hpp.

## Constructor & Destructor Documentation

## ◆ ~FastMaph()

maph::FastMaph::~FastMaph | ( |  | ) |
| inline

Definition at line 225 of file maph_fast.hpp.

## Member Function Documentation

## ◆ batch_set()

void maph::FastMaph::batch_set | ( | const std::vector< std::pair< std::string, std::string > > & | kvs | ) |
| inline

Definition at line 197 of file maph_fast.hpp.

References maph::FastSlot::get_version(), maph::FastSlot::set_hash_version(), maph::FastSlot::size, and maph::FastSlot::value.

Here is the call graph for this function:

## ◆ create()

static std::unique_ptr< FastMaph > maph::FastMaph::create | ( | const std::string & | path,
|  | size_t | num_slots
| ) |  |
| inline static

Definition at line 96 of file maph_fast.hpp.

References maph::open().

Referenced by maph::benchmark_hash_reuse().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ dynamic_set()

bool maph::FastMaph::dynamic_set | ( | const std::string & | key,
|  | const std::string & | value
| ) |  |
| inline

Definition at line 167 of file maph_fast.hpp.

References maph::FastSlot::get_hash(), maph::FastSlot::get_version(), maph::FastSlot::set_hash_version(), maph::FastSlot::size, and maph::FastSlot::value.

Here is the call graph for this function:

## ◆ get()

std::string maph::FastMaph::get | ( | const std::string & | key | ) | const
| inline

Definition at line 131 of file maph_fast.hpp.

References maph::FastSlot::get_hash(), maph::FastSlot::size, and maph::FastSlot::value.

Here is the call graph for this function:

## ◆ scan()

template<typename Callback >

void maph::FastMaph::scan | ( | Callback && | cb | ) | const
| inline

Definition at line 215 of file maph_fast.hpp.

References maph::FastSlot::get_hash(), maph::FastSlot::is_empty(), maph::FastSlot::size, and maph::FastSlot::value.

Here is the call graph for this function:

## ◆ set()

bool maph::FastMaph::set | ( | const std::string & | key,
|  | const std::string & | value
| ) |  |
| inline

Definition at line 146 of file maph_fast.hpp.

References maph::FastSlot::get_version(), maph::FastSlot::set_hash_version(), maph::FastSlot::size, and maph::FastSlot::value.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- include/maph/maph_fast.hpp